MDWParserInternal::Field Struct Reference

Internal: a field of a MDWParser. More...

## Public Member Functions

| Field (MWAWField::Type type=MWAWField::None)
| constructor More...
bool | ok () const
| return true is the field is defined More...
MWAWField | getField () const

## Public Attributes

MWAWField::Type | m_type
| the field type More...
Vec2i | m_pos
| the field position: x position in point, y position in line (-1: means no field ) More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<< More...

## Detailed Description

Internal: a field of a MDWParser.

## Constructor & Destructor Documentation

MDWParserInternal::Field::Field | ( | MWAWField::Type | type = `MWAWField::None` | ) |

inline

constructor

## Member Function Documentation

MWAWField MDWParserInternal::Field::getField | ( |  | ) | const

inline

bool MDWParserInternal::Field::ok | ( |  | ) | const

inline

return true is the field is defined

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Field const & | field
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MDWParserInternal::Field::m_extra

extra data

Referenced by MDWParser::readHeadingFields().

Vec2i MDWParserInternal::Field::m_pos

the field position: x position in point, y position in line (-1: means no field )

Referenced by ok(), and MDWParser::readHeadingFields().

MWAWField::Type MDWParserInternal::Field::m_type

the field type

Referenced by getField(), and ok().

The documentation for this struct was generated from the following file:

- MDWParser.cxx